%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           python-pp
Version:        1.5.6
Release:        1%{?dist}
Summary:        Parallel execution of python on smp

Group:          Development/Libraries
License:        BSD
URL:            http://www.parallelpython.com/
Source0:        http://www.parallelpython.com/downloads/pp/pp-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
Requires:       python >= 2.3
BuildRequires:  python-devel, python-setuptools


%description
pp is a python module which provides mechanism for parallel execution of 
python code on SMP (systems with multiple processors or cores) and clusters
(computers connected via network).


%prep
%setup -q -n pp-%{version}


%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT
mv $RPM_BUILD_ROOT/%{_bindir}/ppserver.py $RPM_BUILD_ROOT/%{_bindir}/ppserver


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc PKG-INFO README
# For noarch packages: sitelib
%{python_sitelib}/*
%attr (0755,root,root) %{_bindir}/ppserver


%changelog
* Sun Sep 14 2008 Steve 'Ashcrow' Milner <me@stevemilner.org> - 1.5.6-1
- Updated to upstream latest stable.

* Fri Aug 12 2008 Steve 'Ashcrow' Milner <me@stevemilner.org> - 1.5.5-1
- Updated to upstream latest stable.

* Mon Jul 21 2008 Steve 'Ashcrow' Milner <me@stevemilner.org> - 1.5.4-2
- Updated due to a bad cvs tag.

* Fri Jun 13 2008 Steve 'Ashcrow' Milner <me@stevemilner.org> - 1.5.4-1
- Updated to upstream latest stable.

* Thu Mar 20 2008 Steve 'Ashcrow' Milner <me@stevemilner.org> - 1.5.3-1
- Updated to upstream latest stable.

* Sun Jan 27 2008 Steve 'Ashcrow' Milner <me@stevemilner.org> - 1.5.2-1
- Updated to upstream latest stable.

* Sun Dec 16 2007 Steve 'Ashcrow' Milner <me@stevemilner.org> - 1.5-1
- Updated to upstream latest stable.

* Fri Nov 16 2007 Steve 'Ashcrow' Milner <me@stevemilner.org> - 1.4.5-3
- Removed -O1 flag.

* Sat Oct 14 2007 Steve 'Ashcrow' Milner <me@stevemilner.org> - 1.4.5-2
- Moving ppserver.py to ppserver.
- Removed if/then block.

* Sat Oct 13 2007 Steve 'Ashcrow' Milner <me@stevemilner.org> - 1.4.5-1
- Initial packaging for Fedora.
